curl --request POST \
--url https://{globale_api_domain}/Order/GetShippingDocuments \
--header 'Content-Type: application/json' \
--data '
{
"OrderId": "GE123874638GB",
"HubCode": "hub001",
"DeliveryReferenceNumber": "123756483",
"Parcels": [
{
"ParcelCode": "123454321",
"Length": 37.5,
"Width": 24,
"Height": 13,
"Weight": 1300,
"ShippingAdditionalInformation": [
{
"name": "ITNNumber",
"value": "X202487492387"
}
],
"Products": [
{
"ProductCode": "sku121212",
"DeliveryQuantity": 1,
"CartItemId": "1",
"OriginCountryCode": "IL"
},
{
"ProductCode": "sku131313",
"DeliveryQuantity": 2,
"CartItemId": "2",
"OriginCountryCode": "US"
}
]
}
],
"Exceptions": [
{
"ProductCode": "sku141414",
"ExceptionType": 1,
"Quantity": 1
},
{
"ProductCode": "sku151515",
"ExceptionType": 2,
"Quantity": 1,
"ExpectedFulfilmentDate": "2018-01-18"
}
]
}
'import requests
url = "https://{globale_api_domain}/Order/GetShippingDocuments"
payload = {
"OrderId": "GE123874638GB",
"HubCode": "hub001",
"DeliveryReferenceNumber": "123756483",
"Parcels": [
{
"ParcelCode": "123454321",
"Length": 37.5,
"Width": 24,
"Height": 13,
"Weight": 1300,
"ShippingAdditionalInformation": [
{
"name": "ITNNumber",
"value": "X202487492387"
}
],
"Products": [
{
"ProductCode": "sku121212",
"DeliveryQuantity": 1,
"CartItemId": "1",
"OriginCountryCode": "IL"
},
{
"ProductCode": "sku131313",
"DeliveryQuantity": 2,
"CartItemId": "2",
"OriginCountryCode": "US"
}
]
}
],
"Exceptions": [
{
"ProductCode": "sku141414",
"ExceptionType": 1,
"Quantity": 1
},
{
"ProductCode": "sku151515",
"ExceptionType": 2,
"Quantity": 1,
"ExpectedFulfilmentDate": "2018-01-18"
}
]
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
OrderId: 'GE123874638GB',
HubCode: 'hub001',
DeliveryReferenceNumber: '123756483',
Parcels: [
{
ParcelCode: '123454321',
Length: 37.5,
Width: 24,
Height: 13,
Weight: 1300,
ShippingAdditionalInformation: [{name: 'ITNNumber', value: 'X202487492387'}],
Products: [
{
ProductCode: 'sku121212',
DeliveryQuantity: 1,
CartItemId: '1',
OriginCountryCode: 'IL'
},
{
ProductCode: 'sku131313',
DeliveryQuantity: 2,
CartItemId: '2',
OriginCountryCode: 'US'
}
]
}
],
Exceptions: [
{ProductCode: 'sku141414', ExceptionType: 1, Quantity: 1},
{
ProductCode: 'sku151515',
ExceptionType: 2,
Quantity: 1,
ExpectedFulfilmentDate: '2018-01-18'
}
]
})
};
fetch('https://{globale_api_domain}/Order/GetShippingDocuments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"IsSuccess": true,
"ErrorText": null,
"ShippingMethodCode": "GE_DIRECT-Standard",
"Documents": [
{
"DocumentTypeCode": "4",
"DocumentTypeName": "AWB",
"DocumentExtension": "zpl",
"URL": "https://assets.global-e.com/documents/478D-AA72-1EB8BBDD7C27.zpl",
"DocumentData": "JVBERi0xLjUNCiW1tbW1DQoxIDAgb2[...]mDQoxNDgzNDkNCiUlRU9G"
},
{
"DocumentTypeCode": "1",
"DocumentTypeName": "CommercialInvoiceAndPackingList",
"DocumentExtension": "pdf",
"URL": "https://assets.global-e.com/documents/AE09-FAB014DAA421.pdf",
"DocumentData": "JVBERi0xLjUNCiW1tbW1DQoxIDAgb2[...]mDQoxNDgzNDkNCiUlRU9G",
"ErrorMessage": null
}
],
"AdditionalRequiredDocuments": null,
"ParcelsTracking": [
{
"ParcelTrackingNumber": "9895722141",
"ParcelTrackingUrl": "https://mydhl.express.dhl/us/en/tracking.html#/results?id=9895722141",
"ParcelCode": "123454321"
}
]
}Get shipping documents (Merchant to Global-e)
From the orders indicated as fulfilled with possible exceptions, the Global-e API will return the required shipping documentation as a base64 encoded byte array and URL for printing
Body
List of parcels being shipped. May be an empty array: a request with no parcels and no exceptions returns the order's existing shipping documents.
Show child attributes
Show child attributes
"eCommerce order number" as passed down in the order payload. For Shopify, should be either the Shopify Order Name (default), e.g. #12345; or the Shopify Order Number, e.g. 12345. At least one of OrderId or MerchantOrderId must be provided.
Merchant order ID as recorded in the ecommerce platform. At least one of OrderId or MerchantOrderId must be provided.
Additional informative dispatch reference.
When dispatching from multiple hubs, indicates for a given call which hub the related shipment will be dispatched from.
When true, all items not already declared as part of a parcel will be cancelled and refunded. Until true, consolidation of parcels is expected if no backorders are present. If backorder exceptions are specified, not required — allows dispatch of existing parcels without delay.
List of item exceptions (out-of-stock, backorder, or cancellation). May be an empty array or null.
Show child attributes
Show child attributes
Order-level tracking information. Add tracking on each parcel or for the entire order, not both.
Show child attributes
Show child attributes
Response
Successful response, or a 200 carrying object-level processing errors (IsSuccess=false with the Errors array populated).
Indicates whether the API call was successful.
Description of the error for getting documents.
The merchant-configured shipping method code for the order's selected shipping method — the same value carried in InternationalDetails.ShippingMethodCode on Global-e's outbound order flows. This is the configured code, NOT the service level. Returned as null when no code can be resolved for the order's shipping method.
"GE_DIRECT-Standard"
List of OrderDocument objects that hold the shipping documents.
Show child attributes
Show child attributes
The list of Merchant.ParcelTracking objects. Each object holds the parcel tracking number and the full tracking URL of the relevant shipper (with the parcel tracking number).
Show child attributes
Show child attributes
Order tracking information.
Show child attributes
Show child attributes
List of DeliveryAdviceInformation objects that hold the information required for the "Delivery Advice" document.
Show child attributes
Show child attributes
Additional shipping documents the order requires, such as an Export Accompanying Document (EAD). This array flags what is needed; the documents themselves arrive via SendAdditionalRequiredDocumentsToMerchant. See the Export documents guide.
Show child attributes
Show child attributes
Object-level processing errors (returned with HTTP 200).
Show child attributes
Show child attributes

